// Interface PIC12F615 with LCD display
// Serial LCD library must be installed
// Written by: BENCHEROUDA Okba
// electronnote@gmail.com
// http://elecnote.blogspot.com/
// Internal crystal used @ 8MHz
// Use at your own risk

  // LCD module connections
 sbit Serial_LCD_DATA at GP0_bit;
 sbit Serial_LCD_CLK at GP1_bit;
 sbit Serial_LCD_DATA_Direction at TRISIO0_bit;
 sbit Serial_LCD_CLK_Direction at TRISIO1_bit;
  // End LCD module connections
 unsigned short i;
 void main() {
  ANSEL = 0;        // Pin AN0 is configured as analog
  GPIO = 0;         // Initial state of GPIO port
  TRISIO = 0;    // Configure GP0 as input
  Serial_Lcd_Init();
  Serial_Lcd_Cmd(_LCD_CURSOR_OFF);        // cursor off
  Serial_Lcd_Cmd(_LCD_CLEAR);             // clear LCD
  Serial_Lcd_Out(1, 3, "Hello world!");
  while(1){
   if (i > 199) i = 0;
   Serial_Lcd_Chr(2, 8, i/100 + 48);
   Serial_Lcd_Chr(2, 9, (i/10) % 10 + 48);
   Serial_Lcd_Chr(2, 10, (i % 10) + 48);
   i++;
   Delay_ms(1000);
  }
 }